Groovy Documentation

## grails.spring
[Java] Class WebBeanBuilder

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          grails.spring.BeanBuilder
              grails.spring.WebBeanBuilder

    public class WebBeanBuilder
    extends BeanBuilder

Extended version of the BeanBuilder class that provides support for constructing WebApplicationContext instances

Authors:
  Graeme Rocher

Since:
  1.0

  Created: Nov 23, 2007

Constructor Summary
`WebBeanBuilder()`
`WebBeanBuilder(java.lang.ClassLoader classLoader)`
`WebBeanBuilder(ApplicationContext parent)`
`WebBeanBuilder(ApplicationContext parent, java.lang.ClassLoader classLoader)`

Method Summary
`protected RuntimeSpringConfiguration` | `createRuntimeSpringConfiguration(ApplicationContext parent, java.lang.ClassLoader classLoader)`

Methods inherited from class BeanBuilder

addToDeferred, beans, createApplicationContext, createDynamicElementReader, createRuntimeSpringConfiguration, filterGStringReferences, finalizeDeferredProperties, getBeanDefinition, getBeanDefinitions, getLog, getParentCtx, getProperty, getSpringConfig, importBeans, initializeBeanBuilderForClassLoader, initializeSpringConfig, invokeBeanDefiningClosure, invokeBeanDefiningMethod, invokeMethod, loadBeans, loadBeans, loadBeans, manageListIfNecessary, manageMapIfNecessary, registerBeans, registerBeans, resolveConstructorArguments, setBinding, setClassLoader, setNamespaceHandlerResolver, setProperty, setPropertyOnBeanConfig, setResourcePatternResolver, setSpringConfig, subarray, xmlns

Methods inherited from class groovy.lang.GroovyObjectSupport

groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### WebBeanBuilder

    public WebBeanBuilder()

### WebBeanBuilder

    public WebBeanBuilder(java.lang.ClassLoader classLoader)

### WebBeanBuilder

    public WebBeanBuilder(ApplicationContext parent)

### WebBeanBuilder

    public WebBeanBuilder(ApplicationContext parent, java.lang.ClassLoader classLoader)

Method Detail

### createRuntimeSpringConfiguration

    protected RuntimeSpringConfiguration createRuntimeSpringConfiguration(ApplicationContext parent, java.lang.ClassLoader classLoader)

Groovy Documentation